de.dhbwstuttgart.syntaxtree.statement

## Class Statement

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.statement.Statement

- All Implemented Interfaces:
    IItemWithOffset, Typeable
  Direct Known Subclasses:
    Block, EmptyStmt, ExprStmt, ForStmt, IfStmt, LocalVarDecl, Return, WhileStmt

      public abstract class Statement
      extends SyntaxTreeNode
      implements IItemWithOffset, Typeable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `offset`
    `protected Type` | `type`
    `private int` | `variableLength`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Statement(int offset, int variableLength)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Eine Beschreibung/Name des SyntaxTree-Nodes
    `int` | `getOffset()`
    `Type` | `getReturnType()`
    `Type` | `getType()`
    `java.lang.String` | `getTypeInformation()`
    `int` | `getVariableLength()`
    `abstract JavaCodeResult` | `printJavaCode(ResultSet resultSet)`
    `void` | `setReturnType(Type t)`
    `void` | `setType(Type t)`
    `abstract ConstraintsSet` | `TYPEStmt(TypeAssumptions assumptions)`
    `abstract void` | `wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist, Menge<GenericTypeVar> genericMethodParameters)`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, equals, getChildren, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### offset

          protected int offset

    - #### variableLength

          private int variableLength

    - #### type

          protected Type type

  - ### Constructor Detail

    - #### Statement

          public Statement(int offset,
                           int variableLength)

  - ### Method Detail

    - #### getOffset

          public int getOffset()

      Specified by:
        `getOffset` in interface `IItemWithOffset`

    - #### getVariableLength

          public int getVariableLength()

      Specified by:
        `getVariableLength` in interface `IItemWithOffset`

    - #### wandleRefTypeAttributes2GenericAttributes

          public abstract void wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist,
                                                                         Menge<GenericTypeVar> genericMethodParameters)

    - #### TYPEStmt

          public abstract ConstraintsSet TYPEStmt(TypeAssumptions assumptions)

    - #### getType

          public Type getType()

      Specified by:
        `getType` in interface `Typeable`

    - #### getTypeInformation

          public java.lang.String getTypeInformation()

      Returns:

    - #### setType

          public void setType(Type t)

      Specified by:
        `setType` in interface `Typeable`
      Parameters:
        `t` - Der Typ der Typable-Expression/Statement

    - #### printJavaCode

          public abstract JavaCodeResult printJavaCode(ResultSet resultSet)

    - #### getDescription

          public java.lang.String getDescription()

      Description copied from class: `SyntaxTreeNode`
      Eine Beschreibung/Name des SyntaxTree-Nodes
      Overrides:
        `getDescription` in class `SyntaxTreeNode`
      Returns:

    - #### setReturnType

          public void setReturnType(Type t)

    - #### getReturnType

          public Type getReturnType()